Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.vocab
Class ICAL

    java.lang.Object
      org.apache.any23.vocab.Vocabulary
          org.apache.any23.vocab.ICAL

    public class ICAL

extends Vocabulary

Vocabulary definitions from `ical.rdf`

Field Summary
`org.openrdf.model.URI` | `action` value type: TEXTThis URI defines the action to be invoked when an alarm is triggered..
`org.openrdf.model.URI` | `altrep` To specify an alternate text representation for the URI value..
`org.openrdf.model.URI` | `attach` The URI provides the capability to associate a document object with a calendar component.default value type: URI.
`org.openrdf.model.URI` | `attendee` The URI defines an "Attendee" within a calendar component.value type: CAL-ADDRESS.
`org.openrdf.model.URI` | `byday`
`org.openrdf.model.URI` | `byhour`
`org.openrdf.model.URI` | `byminute`
`org.openrdf.model.URI` | `bymonth`
`org.openrdf.model.URI` | `bysecond`
`org.openrdf.model.URI` | `bysetpos`
`org.openrdf.model.URI` | `byweekno`
`org.openrdf.model.URI` | `byyearday`
`org.openrdf.model.URI` | `calAddress`
`org.openrdf.model.URI` | `calscale` value type: TEXTThis URI defines the calendar scale used for the calendar information specified in the iCalendar object..
`org.openrdf.model.URI` | `categories` value type: TEXTThis URI defines the categories for a calendar component..
`org.openrdf.model.URI` | `class_` value type: TEXTThis URI defines the access classification for a calendar component..
`org.openrdf.model.URI` | `cn` To specify the common name to be associated with the calendar user specified by the URI..
`org.openrdf.model.URI` | `comment` value type: TEXTThis URI specifies non-processing information intended to provide a comment to the calendar user..
`org.openrdf.model.URI` | `completed` value type: DATE-TIMEThis URI defines the date and time that a to-do was actually completed..
`org.openrdf.model.URI` | `component`
`org.openrdf.model.URI` | `contact` value type: TEXTThe URI is used to represent contact information or alternately a reference to contact information associated with the calendar component..
`org.openrdf.model.URI` | `count`
`org.openrdf.model.URI` | `created` This URI specifies the date and time that the calendar information was created by the calendar user agent in the calendar store.
`org.openrdf.model.URI` | `cutype` To specify the type of calendar user specified by the URI..
`org.openrdf.model.URI` | `daylight`
`org.openrdf.model.URI` | `delegatedFrom` To specify the calendar users that have delegated their participation to the calendar user specified by the URI..
`org.openrdf.model.URI` | `delegatedTo` To specify the calendar users to whom the calendar user specified by the URI has delegated participation..
`org.openrdf.model.URI` | `description` value type: TEXTThis URI provides a more complete description of the calendar component, than that provided by the "SUMMARY" URI..
`org.openrdf.model.URI` | `dir` To specify reference to a directory entry associated with the calendar user specified by the URI..
`org.openrdf.model.URI` | `DomainOf_rrule`
`org.openrdf.model.URI` | `dtend` This URI specifies the date and time that a calendar component ends.default value type: DATE-TIME.
`org.openrdf.model.URI` | `dtstamp` value type: DATE-TIMEThe URI indicates the date/time that the instance of the iCalendar object was created..
`org.openrdf.model.URI` | `dtstart` default value type: DATE-TIMEThis URI specifies when the calendar component begins..
`org.openrdf.model.URI` | `due` default value type: DATE-TIMEThis URI defines the date and time that a to-do is expected to be completed..
`org.openrdf.model.URI` | `duration` The URI specifies a positive duration of time.value type: DURATION.
`org.openrdf.model.URI` | `encoding` To specify an alternate inline encoding for the URI value..
`org.openrdf.model.URI` | `exdate` default value type: DATE-TIMEThis URI defines the list of date/time exceptions for a recurring calendar component..
`org.openrdf.model.URI` | `exrule` This URI defines a rule or repeating pattern for an exception to a recurrence set.value type: RECUR.
`org.openrdf.model.URI` | `fbtype` To specify the free or busy time type..
`org.openrdf.model.URI` | `fmttype` To specify the content type of a referenced object..
`org.openrdf.model.URI` | `freebusy` The URI defines one or more free or busy time intervals.value type: PERIOD.
`org.openrdf.model.URI` | `freq`
`org.openrdf.model.URI` | `geo` value type: list of FLOATThis URI specifies information related to the global position for the activity specified by a calendar component..
`org.openrdf.model.URI` | `interval`
`org.openrdf.model.URI` | `language` To specify the language for text values in a URI or URI parameter..
`org.openrdf.model.URI` | `lastModified` value type: DATE-TIMEThe URI specifies the date and time that the information associated with the calendar component was last revised in the calendar store.
`org.openrdf.model.URI` | `List_of_Float`
`org.openrdf.model.URI` | `location` value type: TEXTThe URI defines the intended venue for the activity defined by a calendar component..
`org.openrdf.model.URI` | `member` To specify the group or list membership of the calendar user specified by the URI..
`org.openrdf.model.URI` | `method` value type: TEXTThis URI defines the iCalendar object method associated with the calendar object..
`org.openrdf.model.URI` | `NAMESPACE` The namespace of the vocabulary as a URI.
`static String` | `NS` The namespace of the vocabulary as a string.
`org.openrdf.model.URI` | `organizer` value type: CAL-ADDRESSThe URI defines the organizer for a calendar component..
`org.openrdf.model.URI` | `partstat` To specify the participation status for the calendar user specified by the URI..
`org.openrdf.model.URI` | `percentComplete` value type: INTEGERThis URI is used by an assignee or delegatee of a to-do to convey the percent completion of a to-do to the Organizer..
`org.openrdf.model.URI` | `priority` The URI defines the relative priority for a calendar component.value type: INTEGER.
`org.openrdf.model.URI` | `prodid` value type: TEXTThis URI specifies the identifier for the product that created the iCalendar object..
`org.openrdf.model.URI` | `range` To specify the effective range of recurrence instances from the instance specified by the recurrence identifier specified by the URI..
`org.openrdf.model.URI` | `rdate` default value type: DATE-TIMEThis URI defines the list of date/times for a recurrence set..
`org.openrdf.model.URI` | `recurrenceId` default value type: DATE-TIMEThis URI is used in conjunction with the "UID" and "SEQUENCE" URI to identify a specific instance of a recurring "VEVENT", "VTODO" or "VJOURNAL" calendar component.
`org.openrdf.model.URI` | `related` To specify the relationship of the alarm trigger with respect to the start or end of the calendar component..
`org.openrdf.model.URI` | `relatedTo` The URI is used to represent a relationship or reference between one calendar component and another.value type: TEXT.
`org.openrdf.model.URI` | `reltype` To specify the type of hierarchical relationship associated with the calendar component specified by the URI..
`org.openrdf.model.URI` | `repeat` This URI defines the number of time the alarm should be repeated, after the initial trigger.value type: INTEGER.
`org.openrdf.model.URI` | `requestStatus` value type: TEXTThis URI defines the status code returned for a scheduling request..
`org.openrdf.model.URI` | `resources` value type: TEXTThis URI defines the equipment or resources anticipated for an activity specified by a calendar entity...
`org.openrdf.model.URI` | `role` To specify the participation role for the calendar user specified by the URI..
`org.openrdf.model.URI` | `rrule` This URI defines a rule or repeating pattern for recurring events, to-dos, or time zone definitions.value type: RECUR.
`org.openrdf.model.URI` | `rsvp` To specify whether there is an expectation of a favor of a reply from the calendar user specified by the URI value..
`org.openrdf.model.URI` | `sentBy` To specify the calendar user that is acting on behalf of the calendar user specified by the URI..
`org.openrdf.model.URI` | `sequence` value type: integerThis URI defines the revision sequence number of the calendar component within a sequence of revisions..
`org.openrdf.model.URI` | `standard`
`org.openrdf.model.URI` | `status` value type: TEXTThis URI defines the overall status or confirmation for the calendar component..
`org.openrdf.model.URI` | `summary` This URI defines a short summary or subject for the calendar component.value type: TEXT.
`org.openrdf.model.URI` | `transp` This URI defines whether an event is transparent or not to busy time searches.value type: TEXT.
`org.openrdf.model.URI` | `trigger` This URI specifies when an alarm will trigger.default value type: DURATION.
`org.openrdf.model.URI` | `tzid` value type: TEXTTo specify the identifier for the time zone definition for a time component in the URI value.This URI specifies the text value that uniquely identifies the "VTIMEZONE" calendar component..
`org.openrdf.model.URI` | `tzname` value type: TEXTThis URI specifies the customary designation for a time zone description..
`org.openrdf.model.URI` | `tzoffsetfrom` value type: UTC-OFFSETThis URI specifies the offset which is in use prior to this time zone observance..
`org.openrdf.model.URI` | `tzoffsetto` value type: UTC-OFFSETThis URI specifies the offset which is in use in this time zone observance..
`org.openrdf.model.URI` | `tzurl` The TZURL provides a means for a VTIMEZONE component to point to a network location that can be used to retrieve an up-to- date version of itself.value type: URI.
`org.openrdf.model.URI` | `uid` This URI defines the persistent, globally unique identifier for the calendar component.value type: TEXT.
`org.openrdf.model.URI` | `until`
`org.openrdf.model.URI` | `url` This URI defines a Uniform URI Locator (URL) associated with the iCalendar object.value type: URI.
`org.openrdf.model.URI` | `Valarm` Provide a grouping of component properties that define an alarm..
`org.openrdf.model.URI` | `Value_CAL_ADDRESS`
`org.openrdf.model.URI` | `Value_DATE`
`org.openrdf.model.URI` | `Value_DURATION`
`org.openrdf.model.URI` | `Value_PERIOD`
`org.openrdf.model.URI` | `Value_RECUR`
`org.openrdf.model.URI` | `Vcalendar`
`org.openrdf.model.URI` | `version` value type: TEXTThis URI specifies the identifier corresponding to the highest version number or the minimum and maximum range of the iCalendar specification that is required in order to interpret the iCalendar object..
`org.openrdf.model.URI` | `Vevent` Provide a grouping of component properties that describe an event..
`org.openrdf.model.URI` | `Vfreebusy` Provide a grouping of component properties that describe either a request for free/busy time, describe a response to a request for free/busy time or describe a published set of busy time..
`org.openrdf.model.URI` | `Vjournal` Provide a grouping of component properties that describe a journal entry..
`org.openrdf.model.URI` | `Vtimezone` Provide a grouping of component properties that defines a time zone..
`org.openrdf.model.URI` | `Vtodo` Provide a grouping of calendar properties that describe a to-do..
`org.openrdf.model.URI` | `X_` value type: TEXTThis class of URI provides a framework for defining non-standard properties..

Method Summary
`static ICAL` | `getInstance()`

Methods inherited from class org.apache.any23.vocab.Vocabulary
`createClass, createProperty, createURI, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final String NS

  The namespace of the vocabulary as a string.

  See Also:
    Constant Field Values

### NAMESPACE

    public final org.openrdf.model.URI NAMESPACE

  The namespace of the vocabulary as a URI.

### DomainOf_rrule

    public final org.openrdf.model.URI DomainOf_rrule

### List_of_Float

    public final org.openrdf.model.URI List_of_Float

### Valarm

    public final org.openrdf.model.URI Valarm

  Provide a grouping of component properties that define an alarm..

### Value_CAL_ADDRESS

    public final org.openrdf.model.URI Value_CAL_ADDRESS

### Value_DATE

    public final org.openrdf.model.URI Value_DATE

### Value_DURATION

    public final org.openrdf.model.URI Value_DURATION

### Value_PERIOD

    public final org.openrdf.model.URI Value_PERIOD

### Value_RECUR

    public final org.openrdf.model.URI Value_RECUR

### Vcalendar

    public final org.openrdf.model.URI Vcalendar

### Vevent

    public final org.openrdf.model.URI Vevent

  Provide a grouping of component properties that describe an event..

### Vfreebusy

    public final org.openrdf.model.URI Vfreebusy

  Provide a grouping of component properties that describe either a request for free/busy time, describe a response to a request for free/busy time or describe a published set of busy time..

### Vjournal

    public final org.openrdf.model.URI Vjournal

  Provide a grouping of component properties that describe a journal entry..

### Vtimezone

    public final org.openrdf.model.URI Vtimezone

  Provide a grouping of component properties that defines a time zone..

### Vtodo

    public final org.openrdf.model.URI Vtodo

  Provide a grouping of calendar properties that describe a to-do..

### attach

    public final org.openrdf.model.URI attach

  The URI provides the capability to associate a document object with a calendar component.default value type: URI.

### attendee

    public final org.openrdf.model.URI attendee

  The URI defines an "Attendee" within a calendar component.value type: CAL-ADDRESS.

### calAddress

    public final org.openrdf.model.URI calAddress

### component

    public final org.openrdf.model.URI component

### daylight

    public final org.openrdf.model.URI daylight

### duration

    public final org.openrdf.model.URI duration

  The URI specifies a positive duration of time.value type: DURATION.

### exrule

    public final org.openrdf.model.URI exrule

  This URI defines a rule or repeating pattern for an exception to a recurrence set.value type: RECUR.

### freebusy

    public final org.openrdf.model.URI freebusy

  The URI defines one or more free or busy time intervals.value type: PERIOD.

### geo

    public final org.openrdf.model.URI geo

  value type: list of FLOATThis URI specifies information related to the global position for the activity specified by a calendar component..

### organizer

    public final org.openrdf.model.URI organizer

  value type: CAL-ADDRESSThe URI defines the organizer for a calendar component..

### rrule

    public final org.openrdf.model.URI rrule

  This URI defines a rule or repeating pattern for recurring events, to-dos, or time zone definitions.value type: RECUR.

### standard

    public final org.openrdf.model.URI standard

### trigger

    public final org.openrdf.model.URI trigger

  This URI specifies when an alarm will trigger.default value type: DURATION.

### tzurl

    public final org.openrdf.model.URI tzurl

  The TZURL provides a means for a VTIMEZONE component to point to a network location that can be used to retrieve an up-to- date version of itself.value type: URI.

### url

    public final org.openrdf.model.URI url

  This URI defines a Uniform URI Locator (URL) associated with the iCalendar object.value type: URI.

### X_

    public final org.openrdf.model.URI X_

  value type: TEXTThis class of URI provides a framework for defining non-standard properties..

### action

    public final org.openrdf.model.URI action

  value type: TEXTThis URI defines the action to be invoked when an alarm is triggered..

### altrep

    public final org.openrdf.model.URI altrep

  To specify an alternate text representation for the URI value..

### byday

    public final org.openrdf.model.URI byday

### byhour

    public final org.openrdf.model.URI byhour

### byminute

    public final org.openrdf.model.URI byminute

### bymonth

    public final org.openrdf.model.URI bymonth

### bysecond

    public final org.openrdf.model.URI bysecond

### bysetpos

    public final org.openrdf.model.URI bysetpos

### byweekno

    public final org.openrdf.model.URI byweekno

### byyearday

    public final org.openrdf.model.URI byyearday

### calscale

    public final org.openrdf.model.URI calscale

  value type: TEXTThis URI defines the calendar scale used for the calendar information specified in the iCalendar object..

### categories

    public final org.openrdf.model.URI categories

  value type: TEXTThis URI defines the categories for a calendar component..

### class_

    public final org.openrdf.model.URI class_

  value type: TEXTThis URI defines the access classification for a calendar component..

### cn

    public final org.openrdf.model.URI cn

  To specify the common name to be associated with the calendar user specified by the URI..

### comment

    public final org.openrdf.model.URI comment

  value type: TEXTThis URI specifies non-processing information intended to provide a comment to the calendar user..

### completed

    public final org.openrdf.model.URI completed

  value type: DATE-TIMEThis URI defines the date and time that a to-do was actually completed..

### contact

    public final org.openrdf.model.URI contact

  value type: TEXTThe URI is used to represent contact information or alternately a reference to contact information associated with the calendar component..

### count

    public final org.openrdf.model.URI count

### created

    public final org.openrdf.model.URI created

  This URI specifies the date and time that the calendar information was created by the calendar user agent in the calendar store. Note: This is analogous to the creation date and time for a file in the file system.value type: DATE-TIME.

### cutype

    public final org.openrdf.model.URI cutype

  To specify the type of calendar user specified by the URI..

### delegatedFrom

    public final org.openrdf.model.URI delegatedFrom

  To specify the calendar users that have delegated their participation to the calendar user specified by the URI..

### delegatedTo

    public final org.openrdf.model.URI delegatedTo

  To specify the calendar users to whom the calendar user specified by the URI has delegated participation..

### description

    public final org.openrdf.model.URI description

  value type: TEXTThis URI provides a more complete description of the calendar component, than that provided by the "SUMMARY" URI..

### dir

    public final org.openrdf.model.URI dir

  To specify reference to a directory entry associated with the calendar user specified by the URI..

### dtend

    public final org.openrdf.model.URI dtend

  This URI specifies the date and time that a calendar component ends.default value type: DATE-TIME.

### dtstamp

    public final org.openrdf.model.URI dtstamp

  value type: DATE-TIMEThe URI indicates the date/time that the instance of the iCalendar object was created..

### dtstart

    public final org.openrdf.model.URI dtstart

  default value type: DATE-TIMEThis URI specifies when the calendar component begins..

### due

    public final org.openrdf.model.URI due

  default value type: DATE-TIMEThis URI defines the date and time that a to-do is expected to be completed..

### encoding

    public final org.openrdf.model.URI encoding

  To specify an alternate inline encoding for the URI value..

### exdate

    public final org.openrdf.model.URI exdate

  default value type: DATE-TIMEThis URI defines the list of date/time exceptions for a recurring calendar component..

### fbtype

    public final org.openrdf.model.URI fbtype

  To specify the free or busy time type..

### fmttype

    public final org.openrdf.model.URI fmttype

  To specify the content type of a referenced object..

### freq

    public final org.openrdf.model.URI freq

### interval

    public final org.openrdf.model.URI interval

### language

    public final org.openrdf.model.URI language

  To specify the language for text values in a URI or URI parameter..

### lastModified

    public final org.openrdf.model.URI lastModified

  value type: DATE-TIMEThe URI specifies the date and time that the information associated with the calendar component was last revised in the calendar store. Note: This is analogous to the modification date and time for a file in the file system..

### location

    public final org.openrdf.model.URI location

  value type: TEXTThe URI defines the intended venue for the activity defined by a calendar component..

### member

    public final org.openrdf.model.URI member

  To specify the group or list membership of the calendar user specified by the URI..

### method

    public final org.openrdf.model.URI method

  value type: TEXTThis URI defines the iCalendar object method associated with the calendar object..

### partstat

    public final org.openrdf.model.URI partstat

  To specify the participation status for the calendar user specified by the URI..

### percentComplete

    public final org.openrdf.model.URI percentComplete

  value type: INTEGERThis URI is used by an assignee or delegatee of a to-do to convey the percent completion of a to-do to the Organizer..

### priority

    public final org.openrdf.model.URI priority

  The URI defines the relative priority for a calendar component.value type: INTEGER.

### prodid

    public final org.openrdf.model.URI prodid

  value type: TEXTThis URI specifies the identifier for the product that created the iCalendar object..

### range

    public final org.openrdf.model.URI range

  To specify the effective range of recurrence instances from the instance specified by the recurrence identifier specified by the URI..

### rdate

    public final org.openrdf.model.URI rdate

  default value type: DATE-TIMEThis URI defines the list of date/times for a recurrence set..

### recurrenceId

    public final org.openrdf.model.URI recurrenceId

  default value type: DATE-TIMEThis URI is used in conjunction with the "UID" and "SEQUENCE" URI to identify a specific instance of a recurring "VEVENT", "VTODO" or "VJOURNAL" calendar component. The URI value is the effective value of the "DTSTART" URI of the recurrence instance..

### related

    public final org.openrdf.model.URI related

  To specify the relationship of the alarm trigger with respect to the start or end of the calendar component..

### relatedTo

    public final org.openrdf.model.URI relatedTo

  The URI is used to represent a relationship or reference between one calendar component and another.value type: TEXT.

### reltype

    public final org.openrdf.model.URI reltype

  To specify the type of hierarchical relationship associated with the calendar component specified by the URI..

### repeat

    public final org.openrdf.model.URI repeat

  This URI defines the number of time the alarm should be repeated, after the initial trigger.value type: INTEGER.

### requestStatus

    public final org.openrdf.model.URI requestStatus

  value type: TEXTThis URI defines the status code returned for a scheduling request..

### resources

    public final org.openrdf.model.URI resources

  value type: TEXTThis URI defines the equipment or resources anticipated for an activity specified by a calendar entity...

### role

    public final org.openrdf.model.URI role

  To specify the participation role for the calendar user specified by the URI..

### rsvp

    public final org.openrdf.model.URI rsvp

  To specify whether there is an expectation of a favor of a reply from the calendar user specified by the URI value..

### sentBy

    public final org.openrdf.model.URI sentBy

  To specify the calendar user that is acting on behalf of the calendar user specified by the URI..

### sequence

    public final org.openrdf.model.URI sequence

  value type: integerThis URI defines the revision sequence number of the calendar component within a sequence of revisions..

### status

    public final org.openrdf.model.URI status

  value type: TEXTThis URI defines the overall status or confirmation for the calendar component..

### summary

    public final org.openrdf.model.URI summary

  This URI defines a short summary or subject for the calendar component.value type: TEXT.

### transp

    public final org.openrdf.model.URI transp

  This URI defines whether an event is transparent or not to busy time searches.value type: TEXT.

### tzid

    public final org.openrdf.model.URI tzid

  value type: TEXTTo specify the identifier for the time zone definition for a time component in the URI value.This URI specifies the text value that uniquely identifies the "VTIMEZONE" calendar component..

### tzname

    public final org.openrdf.model.URI tzname

  value type: TEXTThis URI specifies the customary designation for a time zone description..

### tzoffsetfrom

    public final org.openrdf.model.URI tzoffsetfrom

  value type: UTC-OFFSETThis URI specifies the offset which is in use prior to this time zone observance..

### tzoffsetto

    public final org.openrdf.model.URI tzoffsetto

  value type: UTC-OFFSETThis URI specifies the offset which is in use in this time zone observance..

### uid

    public final org.openrdf.model.URI uid

  This URI defines the persistent, globally unique identifier for the calendar component.value type: TEXT.

### until

    public final org.openrdf.model.URI until

### version

    public final org.openrdf.model.URI version

  value type: TEXTThis URI specifies the identifier corresponding to the highest version number or the minimum and maximum range of the iCalendar specification that is required in order to interpret the iCalendar object..

Method Detail

### getInstance

    public static ICAL getInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.